<template>
  <header class="header">
    <nav class="header__nav nav">
      <router-link
        v-for="navItem in navList"
        :key="navItem.title"
        :to="navItem.path"
        class="nav__item"
        :class="{ 'nav__item--active': $route.path === navItem.path }"
      >
        {{ navItem.title }}
      </router-link>
    </nav>
  </header>
</template>

<script>

export default {
  name: 'Header',
  data () {
    return {
      navList: [
        {
          path: '/',
          title: 'Home'
        },
        {
          path: '/about',
          title: 'About'
        },
        {
          path: '/contacts',
          title: 'Contacts'
        }
      ]
    };
  }
};

</script>

<style scoped>

  .header {
    height: 90px;
    padding: 0 20px;
  }

  .nav {
    height: 100%;

    &__item {
      height: 100%;
      line-height: 90px;
      padding: 10px 15px;
      text-decoration: none;
      color: #34495e;
      font-size: 1.6rem;
      outline: none;

      &--active {
        color: #16a085;
      }

      &:hover {
        color: #1abc9c
      }
    }
  }

</style>